Mailinglist Archive: opensuse-updates (84 mails)

< Previous Next >
openSUSE-SU-2011:0314-1 (moderate): python-feedparser security update
openSUSE Security Update: python-feedparser security update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2011:0314-1
Rating: moderate
References: #680074
Cross-References: CVE-2009-5065 CVE-2011-1156 CVE-2011-1157
CVE-2011-1158
Affected Products:
openSUSE 11.4
openSUSE 11.3
openSUSE 11.2
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

Various issues in python-feedparser have been fixed,
including fixes for crashes due to missing input
sanitizaion and a XSS vulnerability. CVE-2011-1156,
CVE-2011-1157, CVE-2011-1158 and CVE-2009-5065 have been
assigned to these issues.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch python-feedparser-4320

- openSUSE 11.3:

zypper in -t patch python-feedparser-4320

- openSUSE 11.2:

zypper in -t patch python-feedparser-4320

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (noarch):

python-feedparser-4.1-9.10.1

- openSUSE 11.3 (noarch):

python-feedparser-4.1-6.3.1

- openSUSE 11.2 (noarch):

python-feedparser-4.1-2.3.1


References:

http://support.novell.com/security/cve/CVE-2009-5065.html
http://support.novell.com/security/cve/CVE-2011-1156.html
http://support.novell.com/security/cve/CVE-2011-1157.html
http://support.novell.com/security/cve/CVE-2011-1158.html
https://bugzilla.novell.com/680074


< Previous Next >
This Thread
  • No further messages